from setuptools import setup, find_packages

print("find_packages outputs ", find_packages("aliby"))
setup(
    name="aliby",
    version="0.1.2",
    packages=find_packages(),
    # package_dir={"": "aliby"},
    # packages=['aliby', 'aliby.io'],
    # include_package_data=True,
    url="",
    license="",
    author="Diane Adjavon",
    author_email="diane.adjavon@ed.ac.uk",
    description="Core utilities for microscopy pipeline",
    python_requires=">=3.7",
    install_requires=[
        "numpy",
        "dask",
        "pathos",
        "tqdm",
        "pandas",
        "scikit-image",
        "opencv-python",
        "requests_toolbelt",
        "h5py==2.10",
        "tables",
        "imageio==2.8.0",
        "omero-py>=5.6.2",
        "pathos",
        "zeroc-ice==3.6.5",
        "tensorflow>=1.15,<=2.3",
        "baby@git+ssh://git@git.ecdf.ed.ac.uk/swain-lab/python-pipeline/baby.git@master",
        "logfile_parser@git+ssh://git@git.ecdf.ed.ac.uk/swain-lab/python-pipeline/logfile_parser.git",
        # "extraction@git+ssh://git@git.ecdf.ed.ac.uk/swain-lab/python-pipeline/extraction.git@dev",
        # "postprocessor@git+ssh://git@git.ecdf.ed.ac.uk/swain-lab/python-pipeline/post-processing.git@dev",
    ],
)
